healthrian_ble_support_for_wearecg12 1.0.5 icon indicating copy to clipboard operation
healthrian_ble_support_for_wearecg12: ^1.0.5 copied to clipboard

PlatformAndroidiOS
unlisted

Healthrian BLE support library for WearECG12

Healthrian Ble Support For WearECG12 #

style: very good analysis Powered by Mason License: MIT

Healthrian BLE support library for WearECG12

Installation ๐Ÿ’ป #

โ— In order to start using Healthrian Ble Support For WearECG12 you must have the Flutter SDK installed on your machine.

Add healthrian_ble_support_for_wearecg12 to your pubspec.yaml:

dependencies:
  healthrian_ble_support_for_wearecg12:

Install it:

flutter packages get

Continuous Integration ๐Ÿค– #

Healthrian Ble Support For WearECG12 comes with a built-in GitHub Actions workflow powered by Very Good Workflows but you can also add your preferred CI/CD solution.

Out of the box, on each pull request and push, the CI formats, lints, and tests the code. This ensures the code remains consistent and behaves correctly as you add functionality or make changes. The project uses Very Good Analysis for a strict set of analysis options used by our team. Code coverage is enforced using the Very Good Workflows.


Running Tests ๐Ÿงช #

For first time users, install the very_good_cli:

dart pub global activate very_good_cli

To run all unit tests:

very_good test --coverage

To view the generated coverage report you can use lcov.

# Generate Coverage Report
genhtml coverage/lcov.info -o coverage/

# Open Coverage Report
open coverage/index.html